Package com.ocient.jdbc.proto

## Interface PlanProtocol.ProjectOutOperatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.ProjectOutOperator`, `PlanProtocol.ProjectOutOperator.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.ProjectOutOperatorOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getGetRidOf​(int index)` `repeated string getRidOf = 1;`
`com.google.protobuf.ByteString` `getGetRidOfBytes​(int index)` `repeated string getRidOf = 1;`
`int` `getGetRidOfCount()` `repeated string getRidOf = 1;`
`List<String>` `getGetRidOfList()` `repeated string getRidOf = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getGetRidOfList

    List<String> getGetRidOfList()

`repeated string getRidOf = 1;`

Returns:
  A list containing the getRidOf.

#### getGetRidOfCount

    int getGetRidOfCount()

`repeated string getRidOf = 1;`

Returns:
  The count of getRidOf.

#### getGetRidOf

    String getGetRidOf​(int index)

`repeated string getRidOf = 1;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The getRidOf at the given index.

#### getGetRidOfBytes

    com.google.protobuf.ByteString getGetRidOfBytes​(int index)

`repeated string getRidOf = 1;`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the getRidOf at the given index.